<?php

/**
 * @file
 * Hooks provided by the Status dashboard module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Provides a data alteration for an email notification.
 *
 * @param array $data
 *   The notification data array.
 *
 * @see hook_status_dashboard_notification_data()
 *
 * @ingroup status_dashboard
 */
function hook_status_dashboard_notification_data(array &$data) {
  $data['table_header'] = [
    'Header label 1',
    'Header label 2',
    'Header label 3',
    'Header label 4',
  ];

  $data['table_rows'][] = [
    'column 1' => 'Some label',
    'column 2' => [
      'array',
      'of',
      'values',
    ],
    'column 3' => 123,
    'column 4' => 'Some more text',
  ];
}

/**
 * @} End of "addtogroup hooks".
 */
